---
- name: apply a test role
  collections:
    - community.general
    - ansible.posix
  hosts: test_servers
  vars:
    ansible_python_interpreter: /usr/bin/python3
  pre_tasks:
    - name: define ansible_python_interpreter group // linux distribution
      set_fact:
        ansible_python_interpreter: /usr/bin/python2
      when: ansible_distribution == 'CentOS' and ansible_distribution_major_version == '7'
  roles:
    - role: redis
      vars:
        redis_daemon: "keydb"
        redis_port: "6380"
    - role: keepalived
    - role: haproxy
      vars:
        hatarget: "keydb"
        redis_vip_port: "6379"
        redis_port: "6380"
        ssl_self: false
    - role: web_php
      vars:
        redis_daemon: "keydb"
        redis_port: "6380"
